//************************************************************
//                  Integer conversion 
//************************************************************
// Reference:   SOFTWARE SOLUTIONS
// Workspace  : Chapter1\Integer Conversions
// Entry point: Integer Conversions.cpp
// Other files: math1.cpp
//              math1.h
// Development: Visual C++ 6.0 Console Application
// Date:        December 23/2000
//
// Description:
//              Driver module for exaercising integer conversion
//              functions in math1.cpp
//***********************************************************

#include "stdafx.h"
#include <iostream.h>
#include "math1.h"
#include <conio.h>
#include <stdio.h>
#include <iomanip.h>

main()
{
    int dummy;

	cout << "Testing Integer conversion functions in math1.cpp";

   // Exercising AscBin2Bin()
   unsigned long result;
   char binDigits[] = {"11001100-10101010"};
   // Display binary
   cout << "\n\n";
   cout << "Binary digits: " << binDigits;
   // Call conversion function
   result = AscBin2Bin(binDigits);
   // Display result
   cout << "\nBinary value: " << result << "\n\n";


   // Exercising AscDec2Bin()
   char decDigits[] = {"123,456,789"};
   // Display binary
   cout << "\n";
   cout << "Decimal digits: " << decDigits;
   // Call conversion function
   result = AscDec2Bin(decDigits);
   // Display result
   cout << "\nBinary value: " << result << "\n\n";

   // Exercising AscHex2Bin()
   char hexDigits[] = {"0xff00aa77"};
   // Display digits string
   cout << "\n";
   cout << "Hex digits: " << hexDigits;
   // Call conversion function
   result = AscHex2Bin(hexDigits);
   // Display result
   cout << "\nBinary value: " << result << "\n\n";

   // Exercising Bin2AscDec()
   unsigned long binaryV = 123456789; // Test number
   char ascDigs[] = {"         "};    // ASCII digit array
   // Display binary
   cout << "\n";
   cout << "Binary value: " << binaryV;
   // Call conversion function
   Bin2AscDec(ascDigs, binaryV);
   // Display array of digits
   cout << "\nDecimal digit array: " << ascDigs;
   cout << "\n\n";


   // Exercising Bin2AscHex()
   unsigned long binaryVal = 123456789; // Test number
   char ascDigits[] = {"         "};    // ASCII digit array
   // Display binary
   cout << "\n";
   cout << "Binary value: " << binaryVal;
   // Call conversion function
   Bin2AscHex(ascDigits, binaryVal);
   // Display array of digits
   cout << "\nHex digit array: " << ascDigits;
   cout << "\n\n";


   cout << "Press any key\n";
   cin >> dummy;


  return 0;

}