//************************************************************
//                     Linear Systems
//************************************************************
// Reference:   SOFTWARE SOLUTIONS
// Workspace  : Chapter13\Test Un32_11
// Entry point: Test Un32_11
// Other files: 
//              Un32_11.h
// Development: Visual C++ 6.0 Console Application
// Date:        March 17/2001
//
// Description:
//              Tests for procedures in Un32_11 module of
//              math32.lib
//************************************************************

#include <iostream.h>
//#include <conio.h>
//#include <stdio.h>
//#include <iomanip.h>
//#include <cmath>
//#include <math.h>
#define COLS 3
#define ROWS 3

#include "Un32_11.h"

int main()
{

    // Variables for program
	int menuOption = 1;
	int rows = 3;
	int cols = 3;

	int x = 0, y = 0, i = 0, k = 0;

    // Defining a matrix using a two-dimensional array
	double mat1[4][4] = {
						{2.0, 3.0,  -1.0, 4.3},
						{1.2, 0.0,  2.0, -3.0},
						{1.0, 12.7, -4.0, 7.0},
						{3.0, 0.0,  -1.0, 1.22},
						};
    
	double mat5[16] = {2.0, 3.0,  -1.0, 4.3,
						1.2, 0.0,  2.0, -3.0,
						1.0, 12.7, -4.0, 7.0,
						3.0, 0.0,  -1.0, 1.22};
    
	int mat6[] = { 1, 1, 1, 1,
		           2, 2, 2, 2,
				   3, 3, 3, 3,
				   4, 4, 4, 4};
	
	int mat2[9];
	double matD[9];
    double entry;

	int mat3[ROWS][COLS];

	while(menuOption)
	{ 
    // Display menu
	cout << "FUNCTION TEST MENU\n"
		 << "  0 = END TEST\n"
		 << "  1 = FillMatrix()(int) 2 = FillMatrix()(double)\n"
		 << "  3 = FillMatrix2D()    4 = ShowMatrix()\n"
		 << "  5 = RowMulScalar()    6 = RowPlusScalar()\n"
		 << "  7 = RowMinusScalar()  8 = RowDivScalar()\n"
		 << "  9 = ColMulScalar()                        \n"  
		 << " SELECT: ";
    cin >> menuOption;
	
	switch(menuOption)
	{

    case 1:
    // FillMatrix()
    FillMatrix(mat2, rows, cols);
    // Display matrix

	for(x = 0; x < rows; x++)
		for(y = 0; y < cols; y++)
			cout << mat2[(x * cols) + y] << "\n";

	cout << "\n\n";

    break;

    case 2:
    // FillMatrix()
    FillMatrix(matD, rows, cols);

    // Display matrix using Locateij() function
	for(x = 0; x < rows; x++)
		for(y = 0; y < cols; y++)
		{
		 	entry = Locateij(matD, x, y, cols);
			cout << entry << "\n";
		}

	cout << "\n\n";

    break;

    case 3:
    // FillMatrixA()
    FillMatrix2D(mat3);
    // Display matrix
	for(i = 0; i < ROWS; i++)
    	for(k = 0; k < COLS; k++)
	 		cout << mat3[i][k] << "\n";
    
	cout << "\n\n";
    break;

    case 4:
    // ShowMatrix()
    ShowMatrix(mat5, 4, 4);
    cout << "\n\n";
    break;


    case 5:
    // RowMulScalar()
    ShowMatrix(mat6, 4, 4);
	cout << "\nrow = 0    scalar = 2";
	RowMulScalar(mat6, 0, 4, 2);
	ShowMatrix(mat6, 4, 4);
    cout << "\n\n";
    break;

    case 6:
    // RowPlusScalar()
    ShowMatrix(mat6, 4, 4);
	cout << "\nrow = 1    scalar = 2";
	RowPlusScalar(mat6, 1, 4, 2);
	ShowMatrix(mat6, 4, 4);
    cout << "\n\n";
    break;

    case 7:
    // RowMinusScalar()
    ShowMatrix(mat6, 4, 4);
	cout << "\nrow = 1    scalar = 2";
	RowMinusScalar(mat6, 1, 4, 2);
	ShowMatrix(mat6, 4, 4);
    cout << "\n\n";
    break;

    case 8:
    // RowDivScalar()
    ShowMatrix(mat6, 4, 4);
	cout << "\nrow = 3    scalar = 2";
	RowDivScalar(mat6, 3, 4, 2);
	ShowMatrix(mat6, 4, 4);
    cout << "\n\n";
    break;

    case 9:
    // ColMulScalar()
    ShowMatrix(mat6, 4, 4);
	cout << "\ncolumn = 0    scalar = 2";
	ColMulScalar(mat6, 0, 4, 4, 2);
	ShowMatrix(mat6, 4, 4);
    cout << "\n\n";
    break;
    }
	}

 return 0;
}



