
// Header file for DC Info Demo project
// Contains array of structrures 

#define LINES ((int) (sizeof DCcaps / sizeof DCcaps [0]))

struct
     {
     int  iIndex ;
     char *szLabel ;
     char *szDesc ;
     }
     DCcaps [] =
          {
          HORZSIZE,      "HORZSIZE",     "Width (in mm):",
          VERTSIZE,      "VERTSIZE",     "Height (in mm):",
          HORZRES,       "HORZRES",      "Width (in pixels):",
          VERTRES,       "VERTRES",      "Height (in raster lines):",
          BITSPIXEL,     "BITSPIXEL",    "Color bits per pixel:",
          PLANES,        "PLANES",       "Color planes:",
          NUMBRUSHES,    "NUMBRUSHES",   "Number of brushes:",
          NUMPENS,       "NUMPENS",      "Number of pens:",
          NUMMARKERS,    "NUMMARKERS",   "Number of markers:",
          NUMFONTS,      "NUMFONTS",     "Number of fonts:",
          NUMCOLORS,     "NUMCOLORS",    "Number of colors:",
          PDEVICESIZE,   "PDEVICESIZE",  "Size of device structure:",
          ASPECTX,       "ASPECTX",      "Relative width of a pixel:",
          ASPECTY,       "ASPECTY",      "Relative height of a pixel:",
          ASPECTXY,      "ASPECTXY",     "Relative diagonal of a pixel:",
          LOGPIXELSX,    "LOGPIXELSX",   "Horizontal dots per inch:",
          LOGPIXELSY,    "LOGPIXELSY",   "Vertical dots per inch:",
          SIZEPALETTE,   "SIZEPALETTE",  "Number of palette entries:",
          NUMRESERVED,   "NUMRESERVED",  "Reserved palette entries:",
          COLORRES,      "COLORRES",     "Actual color resolution:"
          } ;

