//************************************************************
//             ASCII decimal to BCD20 conversion
//************************************************************
// Reference:   NUMERICAL SOLUTIONS - Chapters 2/4
// Project:     BCD Conversions
// Entry point: BCD Test
// This file:   math2.h
// Header:      math2.h
// Development: Visual C++ 6.0 Console Application
// Date:        December 23/2000
//
// Description:
//              Header file for math2.cpp module
//***********************************************************

#include "stdafx.h"
#include <iostream.h>

//********************************************************
// Prototypes for user-accesible functions in math2.cpp
//********************************************************
void AsciiToBcd20(char[], char[]);
void Bcd20ToAscStr(char[], char[]);
void DecodeSingle(float, int *, int *, int *);
void SignAddBcd20(char[], char[], char[]);
void SignSubBcd20(char[], char[], char[]);
void SignMulBcd20(char[], char[], char[]);
void SignDivBcd20(char[], char[], char[]);