//************************************************************
//             BCD multiplication and division 
//************************************************************
// Reference:   SOFTWARE SOLUTIONS
// Workspace  : Chapter2\BCD Mul Div
// Entry point: BCD Mul Div.cpp
// Other files: math2.cpp
//              math2.h
// Development: Visual C++ 6.0 Console Application
// Date:        December 23/2000
//
// Description:
//          Driver module for exercising BCD multiplication
//          and division functions in math2.cpp
//***********************************************************
#include <iostream.h>
#include "bcd12math.h"

// Global data
// Source numbers for tests 
char asc1[] = "123.44";
char asc2[] = "2.0";


// BCD data
char num1[12];
char num2[12];
char bcdResult[12];

// ASCII data
char op1[32];
char op2[32];
char ascResult[32];


int main()
{

    // Testing BCD multiplication function
	cout << "\n\nTesting BCD division in math4.cpp";

	AsciiToBcd12(asc1, num1);
	AsciiToBcd12(asc2, num2);

	// Mutiply two BCD numbers
    NewDivBcd12(num1, num2, bcdResult); 
    
	// Convert BCDs to ASCII strings
	Bcd12ToAscStr(op1, num1);
	Bcd12ToAscStr(op2, num2);
    Bcd12ToAscStr(ascResult, bcdResult);

	// Display intput and output strings
	cout << "\nFirst operand : " << op1;
	cout << "\nSecond operand: " << op2;
	cout << "\nDividend       : " << ascResult << "\n\n";



    return 0;
}

